Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log

From: Juri Linkov <[email-masked]>
Date: Mon, 13 Sep 2021 10:47:01 +0300

>> But...  perhaps we should take this to emacs-devel to see whether other
>> people feel differently?
>
> Some people might feel the desire to express general objection to seeing
> anything changed.

I realized that quite likely many users already rely on 'C-x v s'
and 'C-x v r' to create/switch branches because currently there is
no other quick way to do these frequent actions.  OTOH, I don't
believe that 'vc-switch-backend' is used often.  So it seems pretty safe
to just create a new prefix key map for 'C-x v b', and rebind 'vc-switch-backend'
to 'C-x v B'.  Then leave 'C-x v r' and 'C-x v s' unchanged to give
users time to adopt to the new branch-related prefix map 'C-x v b'.